%define	version 0.18
%define rel	1
%define	release	%mkrel %rel

Name:		drwright
Summary:	A program that reminds you to take regular breaks from your computer
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}-%{version}.tar.bz2
URL:		http://www.imendio.com/projects/drwright/
# Not sure where to place it. Toys just sounds wrong.
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	libdbus-devel libgnomeui2-devel

%description
DrWright is a program that reminds you to take regular breaks from your
computer. It's main focus is being usable and to simply work.

DrWright monitors keyboard and mouse activity and displays a small
meter in the notification area on your panel. When it starts blinking,
you know it's time to take a break. If you don't, it will lock your
screen to force a break.

DrWright has helped the author a lot and hopefully it will help you as well. 

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p mkdir -p $RPM_BUILD_ROOT/%{_menudir}/
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%name):command="%{_bindir}/%{name}"\
 icon="%name.png" needs="X11" section="Office/Accessories"\
 title="DrWright" longtitle="A program that reminds you to take regular breaks from your computer"
EOF
# Create icons from stop image
convert data/images/stop.png -resize 16x16 icon_16.png
convert data/images/stop.png -resize 32x32 icon_32.png
install -m644 icon_16.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 icon_32.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 data/images/stop.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
%makeinstall
%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files -f drwright.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/drwright.desktop
%{_sysconfdir}/gconf/schemas/drwright.schemas
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Wed May 10 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.18-1.1.20060mdk
- Fix buildrequires

* Sun May 22 2005 Eskild Hustvedt <eskild@mandriva.org> 0.18-1mdk
- Initial Mandriva Linux package
